seed: 1

type: train_images

data:
  image_size: [128, 128]
  dataset_name: lego

renderer:
  type: volume_sdf
  chunk_size: 32768
  white_background: False

  alpha: 50.0
  beta: 0.01

  relighting_function:
    type: none

sampler:
  type: stratified
  n_pts_per_ray: 128

  min_depth: 2.0
  max_depth: 6.0

training:
  num_epochs: 250
  pretrain_iters: 1000
  batch_size: 1024
  lr: 0.0005

  lr_scheduler_step_size: 50
  lr_scheduler_gamma: 0.8

  checkpoint_path: ./volsdf_checkpoint
  checkpoint_interval: 50
  resume: False

  render_interval: 10

  inter_weight: 0.1
  eikonal_weight: 0.02
  bounds: [[-4, -4, -4], [4, 4, 4]]

implicit_function:
  type: neural_surface

  n_harmonic_functions_xyz: 6

  n_layers_distance: 6
  n_hidden_neurons_distance: 128
  append_distance: []

  n_layers_color: 2
  n_hidden_neurons_color: 128
  append_color: []
